## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.services
Class ASAActionService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.ActionService
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.services.ASAActionService

    public class ASAActionService

extends org.eclipse.datatools.sqltools.core.services.ActionService

ASA implementation of ActionService

Author:
  Hui Wan

Constructor Summary
`ASAActionService()`

Method Summary
`boolean` `supportsAction(java.lang.String actionId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASAActionService

    public ASAActionService()

Method Detail

### supportsAction

    public boolean supportsAction(java.lang.String actionId)

  Overrides:
    `supportsAction` in class `org.eclipse.datatools.sqltools.core.services.ActionService`